Subject: Re: bug#24472: 25.1; Emacs crashes when clicking on OSX menu bar when opening file with tramp

From: Alan Third <[email-masked]>
Date: Wed, 28 Sep 2016 22:34:07 +0100

I can reproduce this crash in both Emacs 25.1 and the master branch.

I get this:

objc[13181]: autorelease pool page 0x1021f4000 corrupted
  magic     0x00000000 0x00000000 0x00000000 0x00000000
  should be 0xa1a1a1a1 0x4f545541 0x454c4552 0x21455341
  pthread   0x7fff7d4a6000
  should be 0x7fff7d4a6000

Which implies that something somewhere is being released twice or
something. I just can't work out what or why.

Possibly we need to block input while something is going on, but almost
the entirety of ns_update_menubar, which is where the crash is
happening, is wrapped in a block/unblock.
-- 
Alan Third